#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 clash-ghc
version:              1.4.2
visibility:           public
id:                   clash-ghc-1.4.2-68sQGh2XD7mBSElf18Tciv
key:                  clash-ghc-1.4.2-68sQGh2XD7mBSElf18Tciv
license:              BSD-2-Clause
copyright:
    Copyright © 2012-2016, University of Twente,
    2016-2017, Myrtle Software Ltd,
    2017-2019, QBayLogic B.V., Google Inc.

maintainer:           QBayLogic B.V. <devops@qbaylogic.com>
author:               The Clash Authors
homepage:             https://clash-lang.org/
synopsis:
    Clash: a functional hardware description language - GHC frontend

description:
    Clash is a functional hardware description language that borrows both its
    syntax and semantics from the functional programming language Haskell. The
    Clash compiler transforms these high-level descriptions to low-level
    synthesizable VHDL, Verilog, or SystemVerilog.

    Features of Clash:

    * Strongly typed, but with a very high degree of type inference, enabling both
    safe and fast prototyping using concise descriptions.

    * Interactive REPL: load your designs in an interpreter and easily test all
    your component without needing to setup a test bench.

    * Higher-order functions, with type inference, result in designs that are
    fully parametric by default.

    * Synchronous sequential circuit design based on streams of values, called
    @Signal@s, lead to natural descriptions of feedback loops.

    * Support for multiple clock domains, with type safe clock domain crossing.


    This package provides:

    * Clash Compiler binary using GHC/Haskell as a frontend


    Prelude library: <https://hackage.haskell.org/package/clash-prelude>

category:             Hardware
abi:                  497d02cdca757e4120c3e50e42ae2e88
exposed:              True
exposed-modules:
    Clash.GHC.Evaluator Clash.GHC.Evaluator.Primitive
    Clash.GHC.GenerateBindings Clash.GHC.LoadModules
    Clash.GHC.NetlistTypes Clash.GHC.PartialEval
    Clash.GHC.PartialEval.Eval Clash.GHC.PartialEval.Primitive
    Clash.GHC.PartialEval.Quote Clash.GHCi.Common Clash.Main

hidden-modules:
    Clash.GHCi.UI Clash.GHCi.UI.Info Clash.GHCi.UI.Monad
    Clash.GHCi.UI.Tags Clash.GHC.ClashFlags Clash.GHC.GHC2Core
    Clash.GHC.LoadInterfaceFiles Clash.GHC.Util Paths_clash_ghc
    Clash.GHCi.Leak Clash.GHCi.Util

import-dirs:          /usr/lib/ghc-8.10.4/site-local/clash-ghc-1.4.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/clash-ghc-1.4.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/clash-ghc-1.4.2
hs-libraries:         HSclash-ghc-1.4.2-68sQGh2XD7mBSElf18Tciv
depends:
    Cabal-3.2.1.0 array-0.5.4.0 base-4.14.1.0
    bifunctors-5.5.11-HikPGETudz6BhyS3Q9DZHc bytestring-0.10.12.0
    clash-lib-1.4.2-CmBSGmfQz18BGzCRGrZ1ya
    clash-prelude-1.4.2-EuOHfqnsfhhI86vwHwCUu0
    concurrent-supply-0.1.8-GJ69CAEvZ0t7H4ysM2AdQr containers-0.6.2.1
    deepseq-1.4.4.0 directory-1.3.6.0 exceptions-0.10.4
    extra-1.7.9-FVDdsoFVQrKF9gpq9ogElC filepath-1.4.2.1 ghc-8.10.4
    ghc-boot-8.10.4 ghc-prim-0.6.1
    ghc-typelits-extra-0.4.2-F7cQluSsBMp1mCRvmwpaTC
    ghc-typelits-knownnat-0.7.5-ETpPBWpLupiL9iA0edyxDs
    ghc-typelits-natnormalise-0.7.4-2IsrnuS6ee3J67IJ9fRI5K ghci-8.10.4
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R haskeline-0.8.0.1
    integer-gmp-1.0.3.0 lens-5.0.1-2Zjnlw4mK68FBWH0avGA3U mtl-2.2.2
    primitive-0.7.1.0-13wN2gQNzg4GPNbXgU7tHl process-1.6.9.0
    reflection-2.1.6-WrYP43NwjJ1CyDubxBYuK
    split-0.2.3.4-7fxGS3cyG915MstXI9rpJC template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3 transformers-0.5.6.2
    uniplate-1.6.13-IhE995jrnPPEoW7LjUl4gp unix-2.7.2.2
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    utf8-string-1.0.2-7pqBkplor7g1hjwTjVt3SV
    vector-0.12.3.0-HURuJbi2iJT3pZcjBMuHYu

haddock-interfaces:   /usr/share/doc/clash-ghc/html/clash-ghc.haddock
haddock-html:         /usr/share/doc/clash-ghc/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

